<div class="card o-hidden border-0 shadow-lg ">
    <div class="card-body p-0">
        <!-- Nested Row within Card Body -->
        <div class="row">
            <div class="col-lg-12">
                <div class="p-5">
                    <div *ngIf="_mensaje" class="alert {{ styleMensaje }}" role="alert">
                      {{ _mensaje }}
                    </div>
                    <div class="text-center">
                        <h1 class="h4 text-gray-900 mb-4">Crear Asignaturas</h1>
                    </div>
                    <form class="user" #form="ngForm" (ngSubmit)="onGuardar()">
                        <div class="form-group row">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <input type="text" class="form-control form-control-user" placeholder="Descripción" required="" name="descripcion" [(ngModel)]="asignatura.descripcion">
                            </div>
                            <div class="col-sm-6">
                                <input type="number" class="form-control form-control-user" placeholder="Cantidad de créditos" required="" name="creditos" [(ngModel)]="asignatura.creditos">
                            </div>
                        </div>
                        <div class="form-group">
                        	<textarea class="form-control form-control-user" placeholder="Observación" required="" name="observacion" [(ngModel)]="asignatura.observacion">
                        	</textarea>
                        </div>
                        <button class="btn btn-primary btn-user btn-block" [disabled]='!form.form.valid'>Guardar</button>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>